%define _requires_exceptions python-gi

Summary:	D-Bus Python Bindings
Name:		dbus-python
Version:	1.2.4
Release:	%mkrel 1
URL:		http://www.freedesktop.org/wiki/Software/DBusBindings
Source0:	http://dbus.freedesktop.org/releases/%{name}/%{name}-%{version}.tar.xz
License:	MIT
Group:		Development/Python
BuildRequires:	pkgconfig(dbus-1) >= 1.6
BuildRequires:	pkgconfig(dbus-glib-1) >= 0.70
BuildRequires:	pkgconfig(python)
BuildRequires:	pkgconfig(python3)
BuildRequires:	python-gobject3
BuildRequires:	dbus-x11

%description
D-Bus python bindings for use with python programs.

%package -n python-dbus
Summary: D-Bus Python Bindings
Group: Development/Python
Obsoletes: %{name} < %{version}-%{release}
Provides: %{name} = %{version}-%{release}
Requires: dbus >= 1.6
Requires: python-gobject

%description -n python-dbus
D-Bus python bindings for use with python programs.

%package -n python3-dbus
Summary: D-Bus Python3 Bindings
Group: Development/Python
Obsoletes: dbus-python3 < %{version}-%{release}
Provides: dbus-python3 = %{version}-%{release}
Requires: dbus >= 1.6
Requires: python3-gobject3

%description -n python3-dbus
D-Bus python bindings for use with python3 programs.

%package -n python-dbus-devel
Summary: Development files for python-dbus and python3-dbus
Group: Development/Python
Requires: python-dbus = %{version}

%description -n python-dbus-devel
Header files for python-dbus and python3-dbus.

%prep
%setup -q
%apply_patches

rm -rf %{py3dir}
cp -a . %{py3dir}

%build
autoreconf -fi
%configure2_5x --disable-api-docs PYTHON=%{__python}
%make

pushd %{py3dir}
autoreconf -fi
%configure2_5x --disable-api-docs PYTHON=%{__python3}
%make
popd

%install
%makeinstall_std

pushd %{py3dir}
%makeinstall_std
popd

#remove unpackaged files
rm -rf %{buildroot}%{_datadir}/doc/dbus-python
find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'


%files -n python-dbus
%doc README NEWS doc/*.txt
%{py_puresitedir}/dbus*
%{py_platsitedir}/_dbus_*

%files -n python3-dbus
%doc README NEWS doc/*.txt
%{py3_puresitedir}/dbus*
%{py3_platsitedir}/_dbus_*

%files -n python-dbus-devel
%{_includedir}/dbus-1.0/dbus/*.h
%{_libdir}/pkgconfig/*.pc


%changelog
* Sun Oct 30 2016 adrianomorselli <adrianomorselli> 1.2.4-1uplos2016
- rebuild

* Sat May 07 2016 bb <bb> 1.2.4-1pclos2016
- update

* Sun Jan 11 2015 pinoc <vogtpet at gmail.com> 1.2.0-3pclos2015
- rebuild on python 3.4.2

* Fri Dec 13 2013 billybot <billybot> 1.2.0-2pclos2013
- for python 3

